# Flutter App Design System

Provides basic widgets with default style and design. 
Widgets are able to inherit colors from the app theme.


## Features

1. AppPrimaryButton

## Getting started

1. Add `design` as a [dependency in your pubspec.yaml file](https://flutter.dev/platform-plugins).
2. Import the library: `import 'package:design/app_primary_button.dart'`;

## Example

```dart
AppPrimaryButton(
    'Button title',
    minimumSize: const Size(200, 48),
    backgroundColor: const Color(0xFF0B0020),
    disabledBackgroundColor: const Color(0xFFCFCED8),
    textStyle: const TextStyle(
      fontSize: 16,
      color: Color(0xFFFFFFFF),
    ),
    onPressed: () {
      // handle click
    },
)
```

## Additional information

We plan to add more complex widgets in the future along with some utility widgets and classes
for setting up colors, text themes, fonts etc.