import 'package:flutter/material.dart';

/// Idea taken from https://stackoverflow.com/a/60191441
extension ColorExtensions on Color {
  Color lighten({
    required double percent,
  }) {
    assert(1 <= percent && percent <= 100);
    var p = percent / 100;
    return Color.fromARGB(
      alpha,
      red + ((255 - red) * p).round(),
      green + ((255 - green) * p).round(),
      blue + ((255 - blue) * p).round(),
    );
  }
}
